/* Copyright by KaLoSZyFeR */

#include <amxmodx>

#define PLUGIN "CS Polish"
#define VERSION "0.1"
#define AUTHOR "KaLoSZyFeR"

#define AMOUNT 128        // amount of texts in tables or something (I don't know how it is in english)
#define AMOUNT_HUD 25


public plugin_init()
{
    register_plugin(PLUGIN, VERSION, AUTHOR)
    register_message(get_user_msgid("TextMsg"), "message")
    register_message(get_user_msgid("HudTextArgs"), "hud_message")
}

new text[AMOUNT][] =
{
    "#Target_Bombed",
    "#VIP_Escaped",
    "#VIP_Assassinated",
    "#Terrorists_Escaped",
    "#CTs_PreventEscape",
    "#Escaping_Terrorists_Neutralized",
    "#Bomb_Defused",
    "#CTs_Win",
    "#Terrorists_Win",
    "#Round_Draw",
    "#All_Hostages_Rescued",
    "#Target_Saved",
    "#Hostages_Not_Rescued",
    "#Terrorists_Not_Escaped",
    "#VIP_Not_Escaped",
    "#Cannot_Buy_This",
    "#Not_Enough_Money",
    "#Weapon_Not_Available",
    "#Already_Have_Kevlar",
    "#Already_Have_Kevlar_Helmet",
    "#Already_Have_Kevlar_Bought_Helmet",
    "#Already_Have_Helmet_Bought_Kevlar",
    "#Cannot_Carry_Anymore",
    "#Already_Have_One",
    "#Cannot_Switch_From_VIP",
    "#All_Teams_Full",
    "#Terrorists_Full",
    "#CTs_Full",
    "#Too_Many_Terrorists",
    "#Too_Many_CTs",
    "#Wait_3_Seconds",
    "#Only_1_Team_Change",
    "#Ignore_Broadcast_Messages",
    "#Ignore_Broadcast_Team_Messages",
    "#Accept_All_Messages",
    "#Ignore_Radio",
    "#Accept_Radio",
    "#Command_Not_Available",
    "#Defusing_Bomb_With_Defuse_Kit",
    "#Defusing_Bomb_Without_Defuse_Kit",
    "#Killed_Hostage",
    "#Injured_Hostage",
    "#Auto_Team_Balance_Next_Round",
    "#All_VIP_Slots_Full",
    "#Killed_Teammate",
    "#Banned_For_Killing_Teammates",
    "#Cannot_Vote_Map",
    "#Weapon_Cannot_Be_Dropped",
    "#Terrorist_Escaped",
    "#C4_Plant_At_Bomb_Spot",
    "#C4_Plant_Must_Be_On_Ground",
    "#C4_Arming_Cancelled",
    "#Bomb_Planted",
    "#C4_Activated_At_Bomb_Spot",
    "#Switch_To_BurstFire",
    "#Switch_To_SemiAuto",
    "#Switch_To_FullAuto",    /* TUTAJ KONIEC */
    "#GAMESAVED",
    "#Game_Commencing",
    "#Game_connected",
    "#Game_disconnected",
    "#Game_join_terrorist",
    "#Game_join_ct",
    "#Game_join_terrorist_auto",
    "#Game_join_ct_auto",
    "#Game_scoring",
    "#Game_idle_kick",
    "#Game_bomb_drop",
    "#Game_bomb_pickup",
    "#Game_no_timelimit",
    "#Game_timelimit",
    "#Game_unknown_command",
    "#Game_in_position",
    "#Game_added_position",
    "#Game_teammate_kills",
    "#Game_required_votes",
    "#Game_teammate_attack",
    "#Game_kicked",
    "#Game_vote_cast",
    "#Game_vote_usage",
    "#Game_vote_player_not_found",
    "#Game_vote_players_on_your_team",
    "#Game_vote_not_yourself",
    "#Game_voted_for_map",
    "#Game_votemap_usage",
    "#Cannot_Vote_Need_More_People",
    "#Map_Vote_Extend",
    "#Cannot_Vote_With_Less_Than_Three",
    "#Game_will_restart_in",    /* TUTAJ KONIEC DRUGIEJ CZESCI */
    "#Cant_buy",
    "#VIP_cant_buy",
    "#CT_cant_buy",
    "#Terrorist_cant_buy",
    "#Vote",
    "#Votes",    /* TUTAJ KONIEC TRZECIEJ CZESCI */
    "#Got_defuser",
    "#Got_bomb",
    "#Cannot_Be_Spectator",
    "#Muted",
    "#Unmuted",
    "#No_longer_hear_that_player",
    "#Name_change_at_respawn",
    "#C4_Defuse_Must_Be_On_Ground",
    "#Spec_Mode1",
    "#Spec_Mode2",
    "#Spec_Mode3",
    "#Spec_Mode4",
    "#Spec_Mode5",
    "#Spec_Mode6",
    "#Spec_NoTarget",
    "#Spec_Help_Title",
    "#Spec_Slow_Motion",
    "#Spec_Replay",
    "#Spec_Auto",
    "#Spec_Time",
    "#Spec_Map",
    "#Spectators",
    "#Unassigned",
    "#Only_CT_Can_Move_Hostages",
    "#Spec_Duck",
    "#Spec_Not_Valid_Choice",
    "#Spec_Not_In_Spectator_Mode",
    "#Spec_NoPlayers",
    "#Spec_ListPlayers",
    "#Selection_Not_Available",
    "#Alias_Not_Avail",
    "#Spec_No_PIP",
    "#Cstrike_Already_Own_Weapon"
}

new translated_text[AMOUNT][] =
{
    "Cel Zniszczony!^n",
    "VIP uciekl!^n",
    "VIP zostal zamordowany!^n",
    "Terrorysci uciekli!^n",
    "Anty-Terrorysci zapobiegli ucieczce wiekszosci terrorystow!^n",
    "Wszyscy uciekajacy terrorysci zostali zneutralizowani!^n",
    "Bomba zostala rozbrojona!^n",
    "Anty-Terrorysci Wygrali!^n",
    "Terrorysci Wygrali!^n",
    "Runda Remisowa!^n",
    "Wszyscy Zakladnicy zostali uratowani!^n",
    "Cel zostal obroniony!^n",
    "Zakladnicy nie zostali uratowani!^n",
    "Terrorysci nie zdolali uciec!^n",
    "VIP nie zdolal uciec!^n",
    "Nie mozesz kupic tego przedmiotu!^n",
    "Nie masz wystarczajaco duzo pieniedzy!^n",
    "Ta bron nie jest dostepna!^n",
    "Masz juz kamizelke!^n",
    "Masz juz kamizelke i helm!^n",
    "Masz juz kamizelke! Kupiono helm.^n",
    "Masz juz helm! Kupiono kamizelke.^n",
    "Nie mozesz niesc wiecej!^n",
    "Juz to posiadasz!^n",
    "Jestes VIPem! Nie mozesz teraz zmieniac rol.^n",
    "Wszystkie druzyny sa pelne!^n",
    "Druzyna terrorystow jest pelna!^n",
    "Druzyna anty-terrorystow jest pelna!^n",
    "Za duzo terrorystow!^n",
    "Za duzo anty-terrorystow!^n",
    "Prosze czekac 3 sekundy.^n",
    "Dozwolona tylko 1 zmiana druzyny.^n",
    "Ignorowanie wiadomosci TRANSMISJI^n",
    "Ignorowanie wiadomosci DRUZYNOWYCH/TRANSMISJI^n",
    "Przyjmowanie WSZYSTKICH wiadomosci tekstowych^n",
    "IGNOROWANIE wiadomosci radiowych^n",
    "PRZYJMOWANIE wiadomosci radiowych^n",
    "Ta komenda nie jest dla ciebie stad dostepna^n",
    "Rozbrajanie bomby Z zestawem do rozbrajania.^n",
    "Rozbrajanie bomby BEZ zestawu do rozbrajania.^n",
    "Zabiles zakladnika!^n",
    "Zraniles zakladnika!^n",
    "*** Automatyczny Balans Druzyn w nast. rundzie ***^n",
    "Wszystkie 5 slotow dla VIPow wypelnione. Prosze sprobowac pozniej.^n",
    "Zabiles towarzysza z druzyny!^n",
    "Zostales wyrzucony z serwera za zabicie zbyt wielu kolegow z druzyny^n",
    "Nie mozna glosowac zanim nie mina 3 minuty na nowej mapie^n",
    "Nie mozna upuscic tej broni^n",
    "Terrorysta uciekl!^n",
    "C4 musi byc podlozone na BS'ie!^n",
    "Musisz stac na podlozu aby podlozyc C4!^n",
    "Przerwano nastawianie bomby. C4 mozna podlozyc tylko przy celu.^n",
    "Bomba podlozona!^n",
    "C4 musi byc aktywowane przy celu do wysadzenia.^n",
    "Zmieniono na tryb serii^n",
    "Zmieniono na tryb pol-automatyczny^n",
    "Zmieniono na tryb automatyczny^n",    /* TUTAJ KONIEC */
    "Zapisano^n",
    "Rozpoczecie Gry!^n",
    "%s dolaczyl^n",
    "%s opuscil gre^n",
    "%s dolacza do Sil Terrorystow^n",
    "%s dolacza do Sil Anty-Terrorystow^n",
    "%s dolacza do Sil Terrorystow (auto)^n",
    "%s dolacza do Sil Anty-Terrorystow (auto)^n",
    "Punktacja nie zacznie sie dopoki obie druzyny nie beda mialy graczy^n",
    "%s nie ruszal sie zbyt dlugo i zostal wyrzucony^n",
    " %s upuscil bombe^n",
    " %s podniosl bombe^n",
    "* Brak Limitu Czasowego *^n",
    "Pozostalo Czasu: %s:%.2s ^n",
    "Nieznana komenda: %s ^n",
    "Jestes juz na pozycji %s z 5 ^n",
    "Zostales dodany na pozycje %s z 5 ^n",
    "Zabojstwa kolegow z druzyny: %s z 3 ^n",
    "Wymagana liczba glosow dla nowej mapy = %s ^n",
    "%s zaatakowal swojego^n",
    "Wyrzucono %s ^n",
    "Glosowanie przeciwko graczowi # %s ^n",
    "Uzycie: vote <id> ^n",
    "Nie znaleziono gracza # %s ^n",
    "Mozesz glosowac tylko na graczy z druzyny ^n",
    "Nie mozesz glosowac aby wyrzucic samego siebie! ^n",
    "Zaglosowales na Mape # %s ^n",
    "Uzycie: votemap <id> ^n",
    "Nie mozesz glosowac na mape samemu! ^n",
    "Mapa przedluzona o 30 minut ^n",
    "Nie mozesz glosowac gdy jest mniej niz trzech ludzi w twojej druzynie^n",
    "Restart gry w %s %s ^n",    /* TUTAJ KONIEC DRUGIEJ CZESCI */
    "%s sekund minelo. Nie mozesz nic kupic!^n",
    "Jestes VIPem. Nie mozesz nic kupic!^n",
    "Anty-Terrorysci nie moga kupowac na tej mapie!^n",
    "Terrorysci nie moga kupowac na tej mapie!^n",
    "%s : %s (%s glos) ^n",
    "%s : %s (%s glosow) ^n",    /* TUTAJ KONIEC TRZECIEJ CZESCI */
    "Podniosles zestaw do rozbrajania!^n",
    "Podniosles bombe!^n",
    "Nie mozesz byc obserwatorem.^n",
    "Uciszyles %s. ^n",
    "%s moze znow mowic. ^n",
    "Juz nie bedziesz slyszal tego gracza.^n",
    "Twoj nick zostanie zmieniony przy nast. respawnie.^n",
    "Musisz stac na podlozu aby rozrboic bombe!^n",
    "Zabl. Kam. Poscig^n",
    "Wolna Kam. Poscig^n",
    "Wolna Kamera^n",
    "Pierwsza Osoba^n",
    "Wolny Przekroj^n",
    "Poscig Przekroj^n",
    "Brak prawidlowych celow. Zmiana na Tryb Kamera-Poscig.^n",
    "Tryb Obserwatora^n",
    "Spowolnienie^n",
    "Natychmiastowa Powtorka^n",
    "Auto^n",
    "Czas^n",
    "Mapa^n",
    "Obserwatorzy^n",
    "Nieprzypisany^n",
    "Tylko Anty-Terrorysci moga przemieszczac zakladnikow!^n",
    "Nacisnij KUCANIE dla menu obserwatora^n",
    "** Nie mozesz obserwowac tej osoby.^n",
    "** Nie jestes w trybie obserwatora.^n",
    "Brak Graczy do Obserwowania^n",
    "Lista Graczy^n",
    "Wybor Nie Jest Dostepny^n",
    "^"%s^" ^nnie dostepne do kupienia dla twojej druzyny.^n",
    "Picture-In-Picture nie dostepne w trybie Pierwszej Osoby. ^n",
    "Masz juz ta bron!"   
}

public message()
{
    if(get_msg_argtype(2) != ARG_STRING)
    {
        return PLUGIN_CONTINUE
    }

    new arg2[32]
    get_msg_arg_string(2, arg2, 31)
       
    if(get_msg_args() == 4 )
    {
        new arg3[16],arg4[16]
        get_msg_arg_string(3, arg3, 15)
        get_msg_arg_string(4, arg4, 15)
       
        for(new i = 0; i < AMOUNT; i++)
        {
            if(equal(arg2, text[i]))
            {
                new text2[96]
                format( text2, 95, translated_text[i],arg3,arg4)
                set_msg_arg_string(2, text2)
                return PLUGIN_CONTINUE
            }
        }
    }
    else if(get_msg_args() == 3 )
    {
        new arg3[16]
        get_msg_arg_string(3, arg3, 15)
   
        for(new i = 0; i < AMOUNT; i++)
        {
            if(equal(arg2, text[i]))
            {
                new text2[96]
                format( text2, 95, translated_text[i],arg3)
                set_msg_arg_string(2, text2)
                return PLUGIN_CONTINUE
            }
        }
    }
    else
    {
        for(new i = 0; i < AMOUNT; i++)
        {
            if(equal(arg2, text[i]))
            {
                set_msg_arg_string(2, translated_text[i])
                return PLUGIN_CONTINUE
            }
        }
    }
    return PLUGIN_CONTINUE
}

new hud_text[AMOUNT_HUD][] =
{
    "#Hint_press_buy_to_purchase",
    "#Hint_use_nightvision",
    "#Hint_lost_money",
    "#Hint_removed_for_next_hostage_killed",
    "#Hint_careful_around_hostages",
    "#Hint_careful_around_teammates",
    "#Hint_reward_for_killing_vip",
    "#Hint_win_round_by_killing_enemy",
    "#Hint_try_not_to_injure_teammates",
    "#Hint_you_are_in_targetzone",
    "#Hint_hostage_rescue_zone",
    "#Hint_terrorist_escape_zone",
    "#Hint_ct_vip_zone",
    "#Hint_terrorist_vip_zone",
    "#Hint_cannot_play_because_tk",
    "#Hint_use_hostage_to_stop_him",
    "#Hint_lead_hostage_to_rescue_point",
    "#Hint_you_have_the_bomb",
    "#Hint_you_are_the_vip",
    "#Hint_out_of_ammo",
    "#Hint_spotted_a_friend",
    "#Hint_spotted_an_enemy",
    "#Hint_prevent_hostage_rescue",
    "#Hint_rescue_the_hostages",
    "#Hint_press_use_so_hostage_will_follow"
   
}

new translated_hud_text[AMOUNT_HUD][] =
{
    "Wcisnij przycisk KUP aby zakupic jakis przedmiot.^n",
    "Wcisnij przycisk NOCNYWIZJER aby wlaczyc/wylaczyc gogle. ^nMozesz regulowac wizjer wpisujac: ^n+nvgadjust ^n-nvgadjust ^nw konsoli.^n",
    "Straciles pieniadze za zabicie zakladnika.^n",
    "Jesli zabijesz jeszcze jednego zakladnika, ^nzostaniesz usuniety z serwera.^n",
    "Uwazaj w poblizu zakladnikow. ^nStracisz pieniadze jesli zabijesz zakladnika.^n",
    "Uwazaj! ^nZabijanie swoich nie bedzie tolerowane!^n",
    "Dostales $2500 za zabicie VIPa!^n",
    "Zabiles Wroga! ^nWygraj runde eliminujac ^nprzeciwna druzyne.^n",
    "Postaraj sie nie zranic swoich kolegow z druzyny.^n",
    "Jestes przy celu. ^nWybierz bombe ze swojego ekwipunku ^ni podloz ja trzymajac STRZAL!^n",
    "Jestes w strefie ratowania zakladnikow. ^nZnajdz zakladnikow i przyprowadz ich tutaj!^n",
    "Jestes w strefie ucieczki terrorystow. ^nNie pozwol aby terrorysci sie tutaj dotsali!^n",
    "Jestes w strefie ucieczki VIPa. ^nEskortuj VIPa do ktorejs z tych stref.^n",
    "Jestes w strefie ucieczki VIPa. ^nNie pozwol aby VIP dostal sie do ktorejs z tych stref.^n",
    "Nie mozesz grac w tej rundzie ^nponiewaz w poprzedniej zabiles koelge z druzyny.^n",
    "Mozesz UZYC ponownie zakladnika ^naby przestal za toba chodzic.^n",
    "Zaprowadz zakladnika do punktu ratowania! ^nMozesz UZYC ponownie zakladnika ^naby przestal za toba chodzic.^n",
    "Masz bombe! ^nZnajdz cel albo UPUSC ^nbombe dla innego Terrorysty.^n",
    "Jestes VIPem ^nDostan sie do jednej ze stref bezpieczenstwa!^n",
    "Skonczyla ci sie amunicja. ^nWroc do strefy kupowania aby kupic jej wiecej.^n",
    "Spotkales przyjaciela.^n",
    "Spotkales wroga.^n",
    "Nie pozwol aby Anty-Terrorysci ^nuratowali zakladnikow!^n",
    "Ratuj zakladnikow dla pieniedzy!^n",
    "Nacisnij UZYJ aby zakladnik za toba chodzil.^n"
   
}

public hud_message(msgid, dest, id)
{
    if(get_msg_argtype(1) != ARG_STRING)
    {
        return PLUGIN_CONTINUE
    }
   
    new arg1[32]
    get_msg_arg_string(1, arg1, 31)
   
    for(new i = 0; i < AMOUNT_HUD; i++)
    {
        if(equal(arg1, hud_text[i]))
        {
            set_msg_arg_string(1, " " )
            set_hudmessage ( 10, 210, 10, -1.0, 0.7, 0, 2.0, 4.0, 0.3, 0.4, 4 )
            show_hudmessage ( id, translated_hud_text[i] )
            return PLUGIN_CONTINUE
        }
    }
    return PLUGIN_CONTINUE
}